import React from "react";
import { Room } from "matrix-js-sdk/src/matrix";
interface IProps {
    onFinished(): void;
}
interface IState {
    eventIndexSize: number;
    eventCount: number;
    crawlingRoomsCount: number;
    roomCount: number;
    currentRoom: string | null;
    crawlerSleepTime: number;
}
export default class ManageEventIndexDialog extends React.Component<IProps, IState> {
    constructor(props: IProps);
    updateCurrentRoom: (room: Room) => Promise<void>;
    componentWillUnmount(): void;
    componentDidMount(): Promise<void>;
    private onDisable;
    private onCrawlerSleepTimeChange;
    render(): React.ReactNode;
}
export {};
